%define upstream_name XML_svg2image
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.2.0
Release:     	%mkrel 2
Summary:    	Converts a svg  file to a png/jpeg image
License: 	PHP License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/XML_svg2image-%{version}.tgz
URL: 		http://pear.php.net/package/XML_svg2image
BuildRequires:	php-pear >= 1.4.7

BuildArch: noarch

%description
Converts a svg  file to a png/jpeg image with the help of apache-batik
(java-program), needs therefore a php with ext/java compiled-in and
the batik files from http://xml.apache.org/batik

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/XML_svg2image.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/XML_svg2image.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/XML_svg2image
fi

%files
%defattr(-,root,root)

%{peardir}/*
%{xmldir}/XML_svg2image.xml


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.2.0-2.mga3
+ Revision: 377505
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 12 2012 spuhler <spuhler> 0.2.0-1.mga2
+ Revision: 195193
- upgrade to 0.2.0
  pearized spec

* Sun Jan 30 2011 spuhler <spuhler> 0.1-12.mga1
+ Revision: 44459
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-XML_svg2image

